import 'package:flutter/material.dart';

const String letters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';

const Map<bool, List<String>> onlineGameMode = {
  false: ['Thèmes', 'Expert'],
  true: ['Junior', 'Avancé'],
};

const String defaultLevel = 'Thèmes';

// Colors
const int darkGreen = 0xff013220;
const int board = 0xff004D00;
const int accent = 0xffD81B60;

// GameOver
enum GameOver { victory, defeat }

extension GameOverExtension on GameOver {
  static const titles = {
    GameOver.victory: 'Victoire !',
    GameOver.defeat: 'Pendu !',
  };

  String get title => titles[this] ?? '?';

  static const icons = {
    GameOver.victory: Icons.military_tech,
    GameOver.defeat: Icons.gavel,
  };

  IconData get icon => icons[this] ?? Icons.error;
}

const victory = GameOver.victory;
const defeat = GameOver.defeat;
